package com.ruoyi.system.domain.grid;

import java.io.Serializable;

public class GridCompanyLandRemark implements Serializable {
    private String id;

    /**
     * 企业id
     *
     * @mbg.generated
     */
    private String companyId;

    /**
     * 空置厂房面积
     *
     * @mbg.generated
     */
    private String vacantFactoryArea;

    /**
     * 企业空置面积
     *
     * @mbg.generated
     */
    private String companyVacantArea;

    /**
     * 备注
     *
     * @mbg.generated
     */
    private String remark;

    /**
     * 1:有效 0：无效
     *
     * @mbg.generated
     */
    private String isValid;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    private String createTime;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getVacantFactoryArea() {
        return vacantFactoryArea;
    }

    public void setVacantFactoryArea(String vacantFactoryArea) {
        this.vacantFactoryArea = vacantFactoryArea;
    }

    public String getCompanyVacantArea() {
        return companyVacantArea;
    }

    public void setCompanyVacantArea(String companyVacantArea) {
        this.companyVacantArea = companyVacantArea;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", companyId=").append(companyId);
        sb.append(", vacantFactoryArea=").append(vacantFactoryArea);
        sb.append(", companyVacantArea=").append(companyVacantArea);
        sb.append(", remark=").append(remark);
        sb.append(", isValid=").append(isValid);
        sb.append(", createTime=").append(createTime);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        GridCompanyLandRemark other = (GridCompanyLandRemark) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getVacantFactoryArea() == null ? other.getVacantFactoryArea() == null : this.getVacantFactoryArea().equals(other.getVacantFactoryArea()))
            && (this.getCompanyVacantArea() == null ? other.getCompanyVacantArea() == null : this.getCompanyVacantArea().equals(other.getCompanyVacantArea()))
            && (this.getRemark() == null ? other.getRemark() == null : this.getRemark().equals(other.getRemark()))
            && (this.getIsValid() == null ? other.getIsValid() == null : this.getIsValid().equals(other.getIsValid()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getVacantFactoryArea() == null) ? 0 : getVacantFactoryArea().hashCode());
        result = prime * result + ((getCompanyVacantArea() == null) ? 0 : getCompanyVacantArea().hashCode());
        result = prime * result + ((getRemark() == null) ? 0 : getRemark().hashCode());
        result = prime * result + ((getIsValid() == null) ? 0 : getIsValid().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        return result;
    }
}